## class OSGPRODUCER_EXPORT RealizeCallback

> RealizeCallback class one should override to provide an the implemention of realize callbacks.

## Inheritance:

### Public Methods

virtual void operator()( OsgCameraGroup& cg, OsgSceneHandler& sh, const Producer::RenderSurface & rs) = 0

### Protected Methods

virtual ~RealizeCallback()

## Documentation

> RealizeCallback class one should override to provide an the implemention of realize callbacks. Note, this callback overrides the normal call to OsgSceneHandler::init() so it become the your responisibility to call this within your callback if required, it is a safe assumption to always call OsgSceneHandler::init() within your callback..

`virtual void operator()( OsgCameraGroup& cg, OsgSceneHandler& sh, const Producer::RenderSurface & rs) = 0`

`virtual ~RealizeCallback()`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.